/*
 * File created on Mar 19, 2019
 *
 * Copyright (c) 2019 Carl Harris, Jr
 * and others as noted
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.soulwing.jwt.api.jose4j;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.equalTo;
import static org.hamcrest.Matchers.is;

import org.junit.Test;

/**
 * Unit tests for {@link NoOpEncryptionOperator}.
 *
 * @author Carl Harris
 */
public class NoOpEncryptionOperatorTest {

  static final String PAYLOAD = "payload";

  @Test
  public void testEncode() throws Exception {
    assertThat(NoOpEncryptionOperator.INSTANCE.encrypt(PAYLOAD),
        is(equalTo(PAYLOAD)));
  }

  @Test
  public void testDecode() throws Exception {
    assertThat(NoOpEncryptionOperator.INSTANCE.decrypt(PAYLOAD),
        is(equalTo(PAYLOAD)));
  }

}